Skip to main content
PATCH
/
v2
/
datasets
/
{dataset_id}
/
versions
/
{version_index}
Update Dataset Version
curl --request PATCH \
  --url https://api.galileo.ai/v2/datasets/{dataset_id}/versions/{version_index} \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://api.galileo.ai/v2/datasets/{dataset_id}/versions/{version_index}"

payload = { "name": "<string>" }
headers = {
    "Splunk-AO-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>'})
};

fetch('https://api.galileo.ai/v2/datasets/{dataset_id}/versions/{version_index}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "version_index": 123,
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by_user": {
    "id": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "num_rows": 123,
  "column_names": [
    "<string>"
  ],
  "rows_added": 123,
  "rows_removed": 123,
  "rows_edited": 123,
  "columns_added": 123,
  "columns_removed": 123,
  "columns_renamed": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

dataset_id
string<uuid4>
required
version_index
integer
required

Body

application/json
name
string | null

Response

Successful Response

version_index
integer
required
name
string | null
required
created_at
string<date-time>
required
created_by_user
UserInfo · object | null
required

A user's basic information, used for display purposes.

num_rows
integer
required
column_names
string[]
required
rows_added
integer
required
rows_removed
integer
required
rows_edited
integer
required
columns_added
integer
required
columns_removed
integer
required
columns_renamed
integer
required